IPC_INIT_PROC_INT(9)

NAME
ipc_init_proc_interface - Create a proc interface for sysipc types

SYNOPSIS

void __init ipc_init_proc_interface (const char * path, const char * header, struct ipc_ids * ids, int (*show) <funcparams>struct seq_file *, void *</funcparams>);

ARGUMENTS

path
    Path in procfs

header
    Banner to be printed at the beginning of the file.

ids ipc id table to iterate.

show
    show routine.

DESCRIPTION

using a seq_file interface.